# Shared features

These features are available in both the App builder and the Agent builder. Open them via the **+** button in the tab row of either builder.

| Feature                                                 | What it is                                           |
| ------------------------------------------------------- | ---------------------------------------------------- |
| [Integrations](/reference/shared/integrations.md)       | Connect to external services — ERPs, APIs, databases |
| [Storage](/reference/shared/storage.md)                 | Upload and manage files your app or agent uses       |
| [Secrets](/reference/shared/secrets.md)                 | Store API keys and credentials securely              |
| [Access](/reference/shared/access.md)                   | Control who can reach your workspace                 |
| [Version History](/reference/shared/version-history.md) | Compare and restore past code states                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.riff.ai/reference/shared.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
